Get/Create Token
curl --request POST \
--url https://api.example.com/v1/identity/token \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "<string>"
}
'import requests
url = "https://api.example.com/v1/identity/token"
payload = { "user_id": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({user_id: '<string>'})
};
fetch('https://api.example.com/v1/identity/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/identity/token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/identity/token"
payload := strings.NewReader("{\n \"user_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/identity/token")
.header("Content-Type", "application/json")
.body("{\n \"user_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/identity/token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"access_token": "<string>",
"refresh_token": "<string>",
"expires_in": 123,
"token_type": "<string>"
}Identity
Get/Create Token
Get or create an MCP Identity Token for a user
POST
/
v1
/
identity
/
token
Get/Create Token
curl --request POST \
--url https://api.example.com/v1/identity/token \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "<string>"
}
'import requests
url = "https://api.example.com/v1/identity/token"
payload = { "user_id": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({user_id: '<string>'})
};
fetch('https://api.example.com/v1/identity/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/identity/token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/identity/token"
payload := strings.NewReader("{\n \"user_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/identity/token")
.header("Content-Type", "application/json")
.body("{\n \"user_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/identity/token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"access_token": "<string>",
"refresh_token": "<string>",
"expires_in": 123,
"token_type": "<string>"
}Get/Create Token
Get or create an MCP Identity Token (MIT) for a user. If the user doesn’t exist, a new identity is created.Request
curl -X POST https://api.mcprank.com/v1/identity/token \
-H "X-API-Key: sk_mcp_rank_..." \
-H "Content-Type: application/json" \
-d '{"user_id": "user_123"}'
Body Parameters
string
required
Your user’s unique identifier in your system
Response
string
The MCP Identity Token (JWT) - use this in Authorization header for proxy requests
string
Token for refreshing the MIT when it expires
integer
Seconds until the access token expires (typically 3600 = 1 hour)
string
Always “Bearer”
Example Response
{
"access_token": "eyJhbGciOiJSUzI1NiIs...",
"refresh_token": "rt_abc123...",
"expires_in": 3600,
"token_type": "Bearer"
}
Usage
After obtaining the MIT, use it in proxy requests:curl https://api.mcprank.com/v1/proxy/google/gmail/v1/users/me/profile \
-H "X-API-Key: sk_mcp_rank_..." \
-H "Authorization: Bearer eyJhbGciOiJSUzI1NiIs..."
Notes
- The MIT is a JWT containing
{user_id, developer_id, exp} - MITs expire after 1 hour - use the refresh token to get a new one
- OAuth tokens for providers are stored server-side, not in the MIT
- If the user hasn’t connected a provider, proxy requests will return 403